# WOK
TKWOK
WOKTools

# WOKTools_ChDirValue Class Reference

`#include <WOKTools_ChDirValue.hxx>`

Inheritance diagram for WOKTools_ChDirValue:

[legend]

## Public Member Functions

Standard_EXPORT | WOKTools_ChDirValue (const Handle(TCollection_HAsciiString)&apath)
Standard_EXPORT void | SetPath (const Handle(TCollection_HAsciiString)&apath)
Standard_EXPORT Handle_TCollection_HAsciiString | Path () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | mypath

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_ChDirValue::WOKTools_ChDirValue | ( | const Handle(TCollection_HAsciiString)& | apath | ) |

## Member Function Documentation

Standard_EXPORT const WOKTools_ChDirValue::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKTools_ReturnValue.

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_ChDirValue::Path | ( |  | ) | const

Standard_EXPORT void WOKTools_ChDirValue::SetPath | ( | const Handle(TCollection_HAsciiString)& | apath | ) |

## Field Documentation

Handle_TCollection_HAsciiString WOKTools_ChDirValue::mypath `[private]`

The documentation for this class was generated from the following file:

- WOKTools_ChDirValue.hxx